Get Wallet Transfers
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/operations/transfer \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operations/transfer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operations/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "935b7f09-1ed3-43d9-a873-fa4c8a59e222",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 70030,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T22:19:46.663945",
"status": "PENDING",
"direction": "TRANSFER"
},
{
"id": "ec457b0f-d005-432d-9bb1-38ec9ebc2e69",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 51751,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T22:22:12.599556",
"status": "PENDING",
"direction": "TRANSFER"
},
{
"id": "84919478-6ebc-4021-ba3b-1cdd2b56b612",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 70598,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T23:04:44.356476",
"status": "PENDING",
"direction": "TRANSFER"
}
],
"total": 3,
"page": 1,
"page_size": 10,
"order_by": null,
"order_dir": "asc"
}Custody
Get Wallet Transfers
Retrieves the list of wallet transfer requests associated with a specific user under the given client. This endpoint allows you to fetch all transfer operations for tracking, validation, or reporting purposes.
Headers
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token that authenticates the request. |
| userId | UUID | Yes | The unique identifier of one of your users who is the origin of the funds. Sent in the path; obtainable through the GET /admin/users endpoint. |
Response
Upon a successful request, the server will respond with the following details:
| Field | Description |
|---|---|
| Id | The unique identifier of the wallet transfer. |
| amountOrigin | This is the amount transferred from the source wallet. |
| amountDestination | This is the amount received in the destination wallet. |
| originId | This is the unique identifier of wallet origin you want to use for your wallet_transfer. |
| destinationId | This is the unique identifier of the wallet you want to use for your wallet_transfer. |
| numberCode | This is your wallet_transfer tracking number. |
| direction | The type of operation: transfer |
| registerDate | This is the date when you created your wallet_transfer with us. |
| status | The status of the operation. It can be: “PENDING”: Awaiting the funds, “REJECTED”: The operation does not meet our requirements, “COMPLETED”: Transaction successfully completed. “CANCELED”: The operation expired without completion. |
| symbolOrigin | The symbol of the token sent in the wallet_transfer |
| symbolDestination | The symbol of the token resulting in the wallet_transfer |
GET
/
api
/
v1
/
admin
/
operations
/
transfer
Get Wallet Transfers
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/operations/transfer \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/operations/transfer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/operations/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "935b7f09-1ed3-43d9-a873-fa4c8a59e222",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 70030,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T22:19:46.663945",
"status": "PENDING",
"direction": "TRANSFER"
},
{
"id": "ec457b0f-d005-432d-9bb1-38ec9ebc2e69",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 51751,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T22:22:12.599556",
"status": "PENDING",
"direction": "TRANSFER"
},
{
"id": "84919478-6ebc-4021-ba3b-1cdd2b56b612",
"userId": "67960e40-0b5a-465d-8d78-610d7eff2785",
"prefix": "WLT",
"numberCode": 70598,
"originId": "e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef",
"destinationId": "5f073272-44d1-49e5-a954-38e397e989b2",
"symbolOrigin": "COPM",
"symbolDestination": "COPM",
"amountOrigin": -10,
"amountDestination": 10,
"rate": 1,
"paymentMethod": null,
"registerDate": "2026-07-03T23:04:44.356476",
"status": "PENDING",
"direction": "TRANSFER"
}
],
"total": 3,
"page": 1,
"page_size": 10,
"order_by": null,
"order_dir": "asc"
}
